/*
 * This file is part of JPuzzle.
 *
 * JPuzzle is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * JPuzzle is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JPuzzle.  If not, see <http://www.gnu.org/licenses/>.
 *
 * JPuzzle Copyright © 2008 HackmanGT
 * HackmanGT@hotmail.com
 */

package JPuzzle;

import JPuzzle.Graphics.Panel;
import java.lang.reflect.InvocationTargetException;

/**
 * La aplicación principal del juego Puzzle.
 * Funciona tanto como un Applet como una aplicación Desktop.
 * @author HackmanGT
 */
public class Puzzle extends javax.swing.JApplet {

    private static Panel panel;

    /**
     * Aplicación principal.
     * Inicializa el Applet.
     */
    @Override
    public void init() {
        super.init();
        try {
            javax.swing.SwingUtilities.invokeAndWait(new Runnable() {
                public void run() {
                    initComponents();
                }
            });
        } catch (InterruptedException ex) {
            System.err.println(ex.getMessage());
        } catch (InvocationTargetException ex) {
            ex.printStackTrace();
        }
    }

    /**
     * Inicializa el componente.
     */
    private void initComponents() {
        setBackground(java.awt.Color.WHITE);
        setLayout(new java.awt.BorderLayout());
        panel = new Panel();
        add(panel);
    }

    /**
     * Aplicación principal.
     * Inicializa el Frame.
     * @param args los argumentos de la línea de comandos
     */
    public static void main(String[] args) {
        javax.swing.SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                createAndShowGUI();
            }
        });
    }

    /**
     * Inicializa el componente.
     */
    private static void createAndShowGUI() {
        javax.swing.JFrame frame = new javax.swing.JFrame();
        frame.setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        frame.setTitle(".: JPuzzle :.");
        frame.setResizable(true);
        frame.pack();
        frame.setSize(640, 480);
        frame.setLocationRelativeTo(null);
        frame.add(new Panel());
        frame.setVisible(true);
    }
}
